Bug 30133 - insmod aha1542: unresolved symbols
Summary: insmod aha1542: unresolved symbols
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-01 03:58 UTC by Ben Levenson
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 04:36:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2001-03-01 03:58:31 UTC
build qa0228.0
trying to get an ISA SCSI card to work after installing 7.1.
here is the output after running insmod:
[root@test160 /root]# insmod aha1542
Using /lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o
/lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o: unresolved symbol
scsi_register_R6114619f
/lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o: unresolved symbol
scsi_unregister_module_R81d85a75
/lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o: unresolved symbol
scsi_malloc_R1cce3f92
/lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o: unresolved symbol
scsi_sleep_R35962bf8
/lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o: unresolved symbol
scsi_free_R475dddfa
/lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o: unresolved symbol
scsi_unregister_R5f817930
/lib/modules/2.4.1-0.1.14/kernel/drivers/scsi/aha1542.o: unresolved symbol
scsi_register_module_Rfa20b7b0
[root@test160 /root]# echo $?
1
I tried 2 different cards, and both gave the same errors.  
I couldn't insert the module in a working 7.0 install either, but the error
messages
were telling a different story:

aha1542.c: Unable to abort command for target 1
aha1542.c: trying device reset for target 1
aha1542.c: unable to abort command for target 1
Sent BUS RESET to scsi host 0

Comment 1 Bill Nottingham 2001-03-01 04:36:35 UTC
Try 'modprobe aha1542' instead.

Comment 2 Ben Levenson 2001-06-28 19:13:36 UTC
Closing



Note You need to log in before you can comment on or make changes to this bug.